import { Wtbl } from '../Wtbl';
/**
 * 表格行列操作功能类
 * 提供插入和删除行列的功能
 */
export declare class WtblRowColumnOps {
    /**
     * 新单元格同步引用信息
     * refCell: 参考单元格 (above | left)
     * nextRefCell: 后参考单元格 (below | right )，如果传入，需要跟 refCell 比对一致后同步
     */
    private static syncRefInfo;
    /**
     * 在指定行位置插入新行
     */
    static insertRowAt(table: Wtbl, index: number): void;
    /**
     * 在指定行之前插入新行
     */
    static insertRowBefore(table: Wtbl, index: number): void;
    /**
     * 在指定行之后插入新行
     */
    static insertRowAfter(table: Wtbl, index: number): void;
    /**
     * 在指定列位置插入新列
     */
    static insertColAt(table: Wtbl, index: number): void;
    /**
     * 在指定列之前插入新列
     */
    static insertColBefore(table: Wtbl, index: number): void;
    /**
     * 在指定列之后插入新列
     */
    static insertColAfter(table: Wtbl, index: number): void;
    /**
     * 删除指定索引处的行
     */
    static deleteRowAt(table: Wtbl, index: number): void;
    /**
     * 删除指定范围内的行（闭区间）
     */
    static deleteRowRange(table: Wtbl, startIndex: number, endIndex: number): void;
    /**
     * 删除指定列索引处的列
     */
    static deleteColAt(table: Wtbl, index: number): void;
    /**
     * 删除指定范围内的列（闭区间）
     */
    static deleteColRange(table: Wtbl, startIndex: number, endIndex: number): void;
    /**
     * 调整列宽
     * 如果有右侧列，右侧列会相应调整以保持表格总宽度不变
     */
    static resizeCol(table: Wtbl, colIndex: number, width: number): void;
    /**
     * 调整行高
     */
    static resizeRow(table: Wtbl, rowIndex: number, height: number): void;
}
